Bug 199155 - [PATCH] devel/rlwrap: update to 0.4.2
Summary: [PATCH] devel/rlwrap: update to 0.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-04-04 04:59 UTC by Danilo G. Baio
Modified: 2015-05-12 13:12 UTC (History)
2 users (show)

See Also:
robak: maintainer-feedback+


Attachments
svn_diff_devel_rlwrap_0.4.2 (2.66 KB, patch)
2015-04-04 04:59 UTC, Danilo G. Baio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2015-04-04 04:59:56 UTC
Created attachment 155175 [details]
svn_diff_devel_rlwrap_0.4.2

- Update to 0.4.2
- Change MASTER_SITES to Github
- Add license (GPLv2)
- Add autoreconf, then remove post_patch section for a patch on configure.ac

poudriere testport:

FreeBSD 10.1 amd64
http://dbaio.bs2cloud.com.br/poudriere/bulk/101amd64-ports_dbaio/2015-04-02_11h08m25s/logs/rlwrap-0.42.log

FreeBSD 10.1 i386
http://dbaio.bs2cloud.com.br/poudriere/bulk/101i386-ports_dbaio/2015-04-04_01h44m16s/logs/rlwrap-0.42.log
Comment 2 Bartek Rutkowski freebsd_committer 2015-05-12 11:38:48 UTC
Maintainer approved the patch in private mail.
Comment 3 commit-hook freebsd_committer 2015-05-12 13:08:24 UTC
A commit references this bug:

Author: robak
Date: Tue May 12 13:08:06 UTC 2015
New revision: 386149
URL: https://svnweb.freebsd.org/changeset/ports/386149

Log:
  devel/rlwrap: update 0.37 -> 0.42

  - Convert to use GH

  PR:		199155
  Submitted by:	Danilo G. Baio <dbaio@bsd.com.br>
  Approved by:	Martinko <gamato@users.sf.net> (maintainer)

Changes:
  head/devel/rlwrap/Makefile
  head/devel/rlwrap/distinfo
  head/devel/rlwrap/files/patch-configure.ac
Comment 4 Bartek Rutkowski freebsd_committer 2015-05-12 13:12:40 UTC
Committed with minor changes, thanks for your work!